<!--PUSHER FORM-->
<form name="pusherForm" novalidate>
    <div class="modal-header">
        <h3>Push notification manager</h3>
    </div>
    <div class="modal-body">
        <div class="row" ng-repeat="item in items track by $index">
            <div class="col-xs-12 form-group">
                <input type="checkbox" class="col-xs-1" ng-model="item.toSend" />
                <label class="pusher-title" class="col-xs-12">{{item.message.replace('%', item.name)}}</label>
            </div>
            <div class="col-xs-12 form-group">
                <label class="col-xs-3" style="margin-top: 10px;" >
                    {{item.onlyTime ? "Date of sending": "Select date"}}
                </label>
                <p class="input-group col-xs-9">
                    <input class="form-control" type="input"
                        ng-model="item.dateTime"
                        uib-datepicker-popup="{{item.pickerOptions.format}}"
                        datepicker-options="item.pickerOptions.options"
                        is-open="item.pickerOptions.opened",
                        ng-readonly="true" required />

                    <span class="input-group-btn" ng-if="!item.onlyTime">
                        <button type="button" class="btn btn-primary"
                            ng-disabled="item.onlyTime"
                            ng-click="item.pickerOptions.open(!item.pickerOptions.opened)">
                            <i class="glyphicon glyphicon-calendar"></i>
                        </button>
                    </span>
                </p>
            </div>

            <div class="col-xs-12 form-group">
                <label class="col-xs-3" style="margin-top: 40px;">Select time:</label>
                <div class="col-xs-9">
                    <div class="col-xs-5" uib-timepicker name="time"
                        ng-model="item.dateTime"
                        readonly-input="true"
                        ng-change="timeChanged($index)"
                        minute-step="0"
                        hour-step="hourStep"
                        show-meridian="true">
                    </div>
                </div>
            </div>

            <hr class="col-xs-9 text-center" ng-if="$index != items.length - 1">
        </div>
    </div>

    <div class="modal-footer">
        <button class="btn btn-info" type="button" ng-click="ok()">Save</button>
        <button class="btn btn-warning" type="button" ng-click="cancel()">Cancel</button>
    </div>

</form>
<!--/PUSH FORM-->
